#
# spec file for package kdf
#
# Copyright (c) 2015 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           kdf
Version:        14.12.1
Release:        0
Summary:        Disk Usage Viewer
License:        GPL-2.0+
Group:          System/Monitoring
Url:            http://www.kde.org
Source0:        kdf-%{version}.tar.xz
Patch1:         desktop-files.diff
BuildRequires:  libkde4-devel
BuildRequires:  xz
Provides:       kde4-kdf = 4.3.0
Obsoletes:      kde4-kdf < 4.3.0
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
%kde4_runtime_requires

%description
KDE free disk space utility

%prep
%setup -q -n kdf-%{version}
%patch1

%build
%cmake_kde4 -d build
%make_jobs

%install
cd build
%kde4_makeinstall
%suse_update_desktop_file kdf System Filesystem
%kde_post_install

%package -n kwikdisk
Summary:        Removable Media Utility
Group:          System/GUI/KDE
%kde4_runtime_requires

%description -n kwikdisk
This utility allows you to manage removable media.

%files
%defattr(-,root,root)
%doc COPYING
%_kde4_bindir/kdf
%_kde4_modulesdir/kcm_kdf.so
%_kde4_applicationsdir/kdf.desktop
%_kde4_htmldir/en/kdf/
%dir %_kde4_htmldir/en/kcontrol/
%_kde4_htmldir/en/kcontrol/blockdevices/
%_kde4_iconsdir/hicolor/*/*/kdf.png
%_kde4_iconsdir/oxygen/*/*/kcmdf.png
%_kde4_appsdir/kdf/
%_kde4_servicesdir/kcmdf.desktop

%files -n kwikdisk
%defattr(-,root,root)
%doc COPYING
%_kde4_bindir/kwikdisk
%_kde4_applicationsdir/kwikdisk.desktop
%_kde4_iconsdir/hicolor/*/*/kwikdisk.png

%changelog
